
/*
This Java source file was generated by test-to-java.xsl
and is a derived work from the source document.
The source document contained the following notice:



Copyright (c) 2001-2004 World Wide Web Consortium, 
(Massachusetts Institute of Technology, Institut National de
Recherche en Informatique et en Automatique, Keio University).  All 
Rights Reserved.  This program is distributed under the W3C's Software
Intellectual Property License.  This program is distributed in the 
hope that it will be useful, but WITHOUT ANY WARRANTY; without even
the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
PURPOSE.  

See W3C License http://www.w3.org/Consortium/Legal/ for more details.


*/

package org.w3c.domts.level3.core;

import org.w3c.dom.*;


import org.w3c.domts.DOMTestCase;
import org.w3c.domts.DOMTestDocumentBuilderFactory;



/**
 *  Using compareDocumentPosition check if the document position of a Document and a new Document node
 *  are disconnected, implementation-specific and preceding/following.
* @author IBM
* @author Jenny Hsu
* @see <a href="http://www.w3.org/TR/2003/CR-DOM-Level-3-Core-20031107/core#Node3-compareDocumentPosition">http://www.w3.org/TR/2003/CR-DOM-Level-3-Core-20031107/core#Node3-compareDocumentPosition</a>
*/
public final class nodecomparedocumentposition05 extends DOMTestCase {

   /**
    * Constructor.
    * @param factory document factory, may not be null
    * @throws org.w3c.domts.DOMTestIncompatibleException Thrown if test is not compatible with parser configuration
    */
   public nodecomparedocumentposition05(final DOMTestDocumentBuilderFactory factory)  throws org.w3c.domts.DOMTestIncompatibleException {
      super(factory);

    //
    //   check if loaded documents are supported for content type
    //
    String contentType = getContentType();
    preload(contentType, "barfoo", false);
    }

   /**
    * Runs the test case.
    * @throws Throwable Any uncaught exception causes test to fail
    */
   public void runTest() throws Throwable {
      Document doc;
      Document newDoc;
      DOMImplementation domImpl;
      int documentPosition1;
      int documentPosition2;
      int documentPosition3;
      DocumentType nullDocType = null;

      String rootName;
      String rootNS;
      Element docElem;
      doc = (Document) load("barfoo", false);
      docElem = doc.getDocumentElement();
      rootName = docElem.getTagName();
      rootNS = docElem.getNamespaceURI();
      domImpl = doc.getImplementation();
      newDoc = domImpl.createDocument(rootNS, rootName, nullDocType);
      documentPosition1 = (int) doc.compareDocumentPosition(newDoc);
      assertEquals("isImplSpecificDisconnected1", 33 & 57, documentPosition1 & 57);
      documentPosition2 = (int) newDoc.compareDocumentPosition(doc);
      assertEquals("isImplSpecificDisconnected2", 33 & 57, documentPosition2 & 57);
      assertNotEquals("notBothPreceding", documentPosition1 & 2, documentPosition2 & 2);
assertNotEquals("notBothFollowing", documentPosition1 & 4, documentPosition2 & 4);
documentPosition3 = (int) doc.compareDocumentPosition(newDoc);
      assertEquals("isConsistent", documentPosition1, documentPosition3);
      }
   /**
    *  Gets URI that identifies the test.
    *  @return uri identifier of test
    */
   public String getTargetURI() {
      return "http://www.w3.org/2001/DOM-Test-Suite/level3/core/nodecomparedocumentposition05";
   }
   /**
    * Runs this test from the command line.
    * @param args command line arguments
    */
   public static void main(final String[] args) {
        DOMTestCase.doMain(nodecomparedocumentposition05.class, args);
   }
}

